<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_book_categories
* GENERATION DATE:  24.02.2015
* CLASS FILE:       F:\wamp\www\class_generator/generated_classes/class.tbl_book_categories.php
* FOR MYSQL TABLE:  tbl_book_categories
* FOR MYSQL DB:     svppl
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_book_categories
{ // class : begin

	
	// **********************
	// ATTRIBUTE DECLARATION
	// **********************
	var $category_id;   // (normal Attribute)
	var $category_title;   // (normal Attribute)
	var $category_title_mr;   // (normal Attribute)
	var $category_count;   // (normal Attribute)
	var $is_deleted;   // (normal Attribute)
	
	var $database; // Instance of class database
	
	
	// **********************
	// CONSTRUCTOR METHOD
	// **********************
	
	function tbl_book_categories()
	{
	
	$this->database = new Database();
	
	}
	
	
	// **********************
	// GETTER METHODS
	// **********************
	
	
	function getcategory_id()
	{
	return $this->category_id;
	}
	
	function getcategory_title()
	{
	return $this->category_title;
	}
	
	function getcategory_title_mr()
	{
	return $this->category_title_mr;
	}
	function getcategory_count()
	{
	return $this->category_count;
	}
	
	function getis_deleted()
	{
	return $this->is_deleted;
	}
	
	// **********************
	// SETTER METHODS
	// **********************
	
	
	function setcategory_id($val)
	{
	$this->category_id =  $val;
	}
	
	function setcategory_title($val)
	{
	$this->category_title =  $val;
	}
	function setcategory_title_mr($val)
	{
	$this->category_title_mr =  $val;
	}
	function setcategory_count($val)
	{
	$this->category_count =  $val;
	}
	
	function setis_deleted($val)
	{
	$this->is_deleted =  $val;
	}
	
	// **********************
	// SELECT METHOD / LOAD
	// **********************
	
	function select($id)
	{
	
		$sql =  "SELECT * FROM tbl_book_categories WHERE  = $id;";
		$result =  $this->database->query($sql);
		$result = $this->database->result;
		$row = mysqli_fetch_object($result);
		
		
		$this->category_id = $row->category_id;
		
		$this->category_title = $row->category_title;
		
		$this->category_title_mr = $row->category_title_mr;
		
		$this->is_deleted = $row->is_deleted;
	
	}
	
	// **********************
	// DELETE
	// **********************
	
	function delete($id)
	{
		$sql = "DELETE FROM tbl_book_categories WHERE  = $id;";
		$result = $this->database->query($sql);
	
	}
	
	// **********************
	// INSERT
	// **********************
	
	function insert()
	{

		$sql = "INSERT INTO tbl_book_categories (category_title,category_title_mr,is_deleted ) VALUES ('$this->category_title','$this->category_title_mr','$this->is_deleted' )";
		$result = $this->database->query($sql);
		return mysqli_insert_id($this->database->link);
	
	}
	
	// **********************
	// UPDATE
	// **********************
	
	function update($id)
	{
	
	
	
	$sql = " UPDATE tbl_book_categories SET  category_title = '$this->category_title',category_title_mr = '$this->category_title_mr' WHERE  category_id= $id ";
	
	$result = $this->database->query($sql);
	
	}
	
	// **********************
	// SELECT METHOD / LOAD
	// **********************
	
	function selectSingleCategory($id)
	{
	
		$sql =  "SELECT * FROM tbl_book_categories WHERE  category_id=$id;";
		$result =  $this->database->query($sql);
		$result = $this->database->result;
		$row = mysqli_fetch_object($result);
		
		$this->category_id = $row->category_id;
		$this->category_title = $row->category_title;
		$this->category_title_mr = $row->category_title_mr;
	}


	
	
	
	
	
		
		
//**********************
	// Count Categories List
	//**********************
	
	function CountCategories()
	{
	
		try
		{
			$sql =  "SELECT * FROM `tbl_book_categories` WHERE `is_deleted`='0' ORDER BY category_id DESC";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			return mysqli_num_rows($result);
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}
	
	
	
	
	// **********************
	// SELECT All Category  for Back End
	// **********************
	
	function select_categories_backend($start=null,$per_page=null)
    {
	 if($start!=null || $per_page!=null)
            $limit="limit $start,$per_page";
            else
            $limit=null;

	
		try
		
		{
		
		 $sql = "SELECT count(tbl_books.category_id) as category_count,tbl_book_categories.category_id, tbl_book_categories.category_title,tbl_book_categories.category_title_mr 
		FROM tbl_book_categories 
		LEFT JOIN  tbl_books  ON tbl_books.category_id= tbl_book_categories.category_id 
		WHERE tbl_book_categories.is_deleted='0'
		GROUP BY tbl_book_categories.category_id  ORDER BY tbl_book_categories.category_title $limit";
			//$sql =  "SELECT * FROM `tbl_book_categories` WHERE `is_deleted`='0' ORDER BY category_id DESC $limit";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_book_categories();
				  $arr[$count]->setcategory_id($row->category_id);
				  $arr[$count]->setcategory_title($row->category_title);
				  $arr[$count]->setcategory_title_mr($row->category_title_mr);
				  $arr[$count]->setcategory_count($row->category_count);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}


	// **********************
	// SELECT All Category  for Front End
	// **********************
	
	function select_categories($start=null,$per_page=null)
    {
	 if($start!=null || $per_page!=null)
            $limit="limit $start,$per_page";
            else
            $limit=null;

	
		try
		
		{
		 
		 // Commented By Prasad on 24/06 
		 //$condition=" AND (SELECT SUM(tbl_books_quantity_at_location.book_quantity) FROM tbl_books_quantity_at_location  WHERE tbl_books_quantity_at_location.book_id=tbl_books.`book_id`) > (SELECT books_in_stock_below_count FROM tbl_settings) ";
	
		 $sql = "SELECT count(tbl_books.category_id) as category_count,tbl_books.category_id, tbl_book_categories.category_title,tbl_book_categories.category_title_mr 
		FROM `tbl_books`
		LEFT JOIN tbl_book_categories ON tbl_book_categories.category_id=tbl_books.category_id 
		WHERE tbl_books.is_deleted='0'".$condition."
		GROUP BY tbl_books.category_id";
			//$sql =  "SELECT * FROM `tbl_book_categories` WHERE `is_deleted`='0' ORDER BY category_id DESC $limit";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_book_categories();
				  $arr[$count]->setcategory_id($row->category_id);
				  $arr[$count]->setcategory_title($row->category_title);
				  $arr[$count]->setcategory_title_mr($row->category_title_mr);
				  $arr[$count]->setcategory_count($row->category_count);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}

	

} // class : end

?>

